/*
 * SW_SPI.h
 *
 *  Created on: 19.09.2014
 *      Author: DL9MWE
 *      02.11.2015
 *      22.04.2019
 *      15.02.2023
 */

#ifndef SW_SPI_H_
#define SW_SPI_H_

// Port-Pin-Zuordnungen
#define PORT_SPI_DIR        P2DIR
#define PORT_SPI_SEL        P2SEL
#define PORT_SPI_SEL2       P2SEL2
#define PORT_SPI_OUT        P2OUT
#define PORT_SPI_IN         P2IN
#define SPI_MISO_BIT        BIT1
#define SPI_MOSI_BIT        BIT3
#define SPI_SCK_BIT         BIT4

void vSPI_init(void);
unsigned char ucSPI_Byte(unsigned char tx_data);
void vSPI_read_multiplebytes(unsigned int len, unsigned char *array);


#endif /* SW_SPI_H_ */
